### Constructor

# PapersView JobThumbnailTexture new

#### Declaration [src]

    PpsJob*
    pps_job_thumbnail_texture_new (
      PpsDocument* document,
      gint page,
      gint rotation,
      gdouble scale
    )

#### Description

No description available.

#### Parameters

`document`

  Type: `PpsDocument`

  No description available.

  The data is owned by the caller of the function.

`page`

  Type: `gint`

  No description available.

`rotation`

  Type: `gint`

  No description available.

`scale`

  Type: `gdouble`

  No description available.

#### Return value

Type: `PpsJob`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.